# Quant Papers Collection

This is a joint effort on collecting latest papers related to quantitative finance. Please fork to add your wisdom!

## Machine Learning Related

* Cavalcante, Rodolfo C., et al. "Computational Intelligence and Financial Markets: A Survey and Future Directions." Expert Systems with Applications 55 (2016): 194-211.[(link)](http://www.sciencedirect.com/science/article/pii/S095741741630029X)

### Low Frequency Prediction

* Atsalakis G S, Valavanis K P. Surveying stock market forecasting techniques Part II: Soft
computing methods. Expert Systems with Applications, 2009, 36(3):5932–5941. [(link)](https://scholar.google.com/scholar_url?url=http://www.sciencedirect.com/science/article/pii/S0957417408004417&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=bx96WJysNMK7jAHry6ToBA&scisig=AAGBfm0ZeE3fEbS6P7zo9Ltcd9M0vtAu9w)

* Cai X, Lin X. Feature Extraction Using Restricted Boltzmann Machine for Stock Price Predic-
tion. 2012 IEEE International Conference on Computer Science and Automation Engineering
(CSAE), 2012. 80–83.[(link)](https://scholar.google.com/scholar_url?url=http://ieeexplore.ieee.org/xpls/abs_all.jsp%3Farnumber%3D6272913&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=uR96WN71F4nE2AaJsreoBQ&scisig=AAGBfm2biXd57RUWeaTdwuSosAyN-Lpkhg)

* Nair B B, Dharini N M, Mohandas V P. A stock market trend prediction system using a hybrid
decision tree-neuro-fuzzy system. Proceedings - 2nd International Conference on Advances in
Recent Technologies in Communication and Computing, ARTCom 2010, 2010. 381–385. [(link)](https://scholar.google.com/scholar_url?url=http://ieeexplore.ieee.org/xpls/abs_all.jsp%3Farnumber%3D5655295&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=zx96WKLSJsSV2AbjyIiACA&scisig=AAGBfm0GQbLhoeE6waU9eWWfsUTYba5FmQ)

* Lu C J, Lee T S, Chiu C C. Financial time series forecasting using independent component
analysis and support vector regression. Decision Support Systems, 2009, 47(2):115–125. [(link)](https://scholar.google.com/scholar_url?url=http://www.sciencedirect.com/science/article/pii/S0167923609000323&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=ByB6WNPSB4iYjAHl4regCA&scisig=AAGBfm1iHSydvwcYSUzCM3YXChNVYuoQYg)

* Creamer G, Freund Y. Automated trading with boosting and expert weighting. Quantitative
Finance, 2010, 10(4):401–420. [(link)](https://scholar.google.com/scholar_url?url=http://www.tandfonline.com/doi/abs/10.1080/14697680903104113&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=GCB6WO63JcPLjAGumbfwBw&scisig=AAGBfm3q4amcbTFxs2tl5yuLG_4hoLSAsw)

* Batres-Estrada, Bilberto. "Deep learning for multivariate financial time series." (2015). [(link)](http://www.diva-portal.org/smash/record.jsf?pid=diva2:820891)

* Xiong, Ruoxuan, Eric P. Nicholas, and Yuan Shen. "Deep Learning Stock Volatilities with Google Domestic Trends." arXiv preprint arXiv:1512.04916 (2015).[(link)](http://arxiv.org/abs/1512.04916)

* Sharang, Abhijit, and Chetan Rao. "Using machine learning for medium frequency derivative portfolio trading." arXiv preprint arXiv:1512.06228 (2015).[(link)](http://arxiv.org/abs/1512.06228)


### Reinforcement Learning

* Dempster, Michael AH, and Vasco Leemans. "An automated FX trading system using adaptive reinforcement learning." Expert Systems with Applications 30.3 (2006): 543-552. [(link)](https://scholar.google.com/scholar_url?url=http://www.sciencedirect.com/science/article/pii/S0957417405003015&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=LiB6WNKmKoK3jAHjxJyABg&scisig=AAGBfm3bJLN34rsebvNGo6IUfeYxiIC15w)

* Tan, Zhiyong, Chai Quek, and Philip YK Cheng. "Stock trading with cycles: A financial application of ANFIS and reinforcement learning." Expert Systems with Applications 38.5 (2011): 4741-4755. [(link)](https://scholar.google.com/scholar_url?url=http://www.sciencedirect.com/science/article/pii/S095741741000905X&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=PSB6WL_aKMK7jAHry6ToBA&scisig=AAGBfm1WRwH4660mqK7RE0Mua2EDpuxLlA)

* Rutkauskas, Aleksandras Vytautas, and Tomas Ramanauskas. "Building an artificial stock market populated by reinforcement‐learning agents." Journal of Business Economics and Management 10.4 (2009): 329-341.[(link)](https://scholar.google.com/scholar_url?url=http://www.tandfonline.com/doi/abs/10.3846/1611-1699.2009.10.329-341&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=USB6WKWEM4WMjAHRpKKwBw&scisig=AAGBfm15PBF06_fqletDTDk80FrNiyoWJg)

* Deng, Yue, et al. "Deep Direct Reinforcement Learning for Financial Signal Representation and Trading." (2016).[(link)](http://ieeexplore.ieee.org/xpls/abs_all.jsp?arnumber=7407387)


### Natual Language Processing Related

* Bollen J, Mao H, Zeng X. Twitter mood predicts the stock market. Journal of Computational
Science, 2011, 2(1):1–8. [(link)](https://scholar.google.com/scholar_url?url=http://www.sciencedirect.com/science/article/pii/S187775031100007X&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=hCB6WJf-F4nE2AaJsreoBQ&scisig=AAGBfm0-CdCSkIorraVT063nZXOMGZPVng)

* Preis T, Moat H S, Stanley H E, et al. Quantifying trading behavior in financial markets using
Google Trends. Scientific reports, 2013, 3:1684. [(link)](https://scholar.google.com/scholar_url?url=http://www.nature.com/srep/2013/130425/srep01684/full/srep01684.html&hl=zh-CN&sa=T&oi=gsb-ggp&ct=res&cd=0&ei=lCB6WMyLOMSV2AbjyIiACA&scisig=AAGBfm1Kw6QEU25rQIFN5NppvKpiaZzlFg)

* Moat H S, Curme C, Avakian A, et al. Quantifying Wikipedia Usage Patterns Before Stock
Market Moves. Scientific Reports, 2013, 3:1–5. [(link)](https://scholar.google.com/scholar_url?url=http://www.nature.com/srep/2013/130508/srep01801/full/srep01801.html%3FWT.ec_id%3DSREP-20130514&hl=zh-CN&sa=T&oi=gsb-ggp&ct=res&cd=0&ei=oCB6WOnhJ4ufjAHc4L2ADA&scisig=AAGBfm2DeL0w8CD41aPbIs1V7GwAz8gOOg)

* Ding, Xiao, et al. "Deep learning for event-driven stock prediction." Proceedings of the 24th International Joint Conference on Artificial Intelligence (ICJAI’15). 2015. [(link)](https://scholar.google.com/scholar_url?url=http://ijcai.org/papers15/Papers/IJCAI15-329.pdf&hl=zh-CN&sa=T&oi=gsb-ggp&ct=res&cd=0&ei=pCF6WOLxFcK7jAHry6ToBA&scisig=AAGBfm0xUNdATrhy1lLIFLzyxMswZU6ifg)

* Fehrer, R., & Feuerriegel, S. (2015). Improving Decision Analytics with Deep Learning: The Case of Financial Disclosures. arXiv preprint arXiv:1508.01993. [(link)](http://aisel.aisnet.org/cgi/viewcontent.cgi?article=1018&context=ecis2016_rip)


### High Frequency Trading

* Nevmyvaka Y, Feng Y, Kearns M. Reinforcement learning for optimized trade execution. Proceedings of the 23rd international conference on Machine learning ICML 06, 2006, 17(1):673–680. [(link)](https://scholar.google.com/scholar_url?url=http://dl.acm.org/citation.cfm%3Fid%3D1143929&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=ryB6WPTAMcaL2Abq5oagAQ&scisig=AAGBfm3zYhh3tFDl_ZwyF25UcRYUnbJAJg)

*  Ganchev K, Nevmyvaka Y, Kearns M, et al. Censored exploration and the dark pool problem.
Communications of the ACM, 2010, 53(5):99. [(link)](https://scholar.google.com/scholar_url?url=http://dl.acm.org/citation.cfm%3Fid%3D1735247&hl=zh-CN&sa=T&oi=gsb&ct=res&cd=0&ei=vCB6WJnWIYiYjAHl4regCA&scisig=AAGBfm2UT7ekE1Wd-P_ZdJHt8TBs6hJFTg)

* Kearns M, Nevmyvaka Y. Machine learning for market microstructure and high frequency
trading. High frequency trading - New realities for traders, markets and regulators, 2013. 1–21. [(link)](https://scholar.google.com/scholar_url?url=http://www.smallake.kr/wp-content/uploads/2014/01/KearnsNevmyvakaHFTRiskBooks.pdf&hl=zh-CN&sa=T&oi=gsb-ggp&ct=res&cd=0&ei=zCB6WPToHsPLjAGumbfwBw&scisig=AAGBfm3POscrhMXvpJb5DBb5-oYsWlyzCw)

* Sirignano, Justin A. "Deep Learning for Limit Order Books." arXiv preprint arXiv:1601.01987 (2016). [(link)](http://jasirign.github.io/pdf/DeepLearningLimitOrderBooks.pdf)

* Deng, Yue, et al. "Sparse coding-inspired optimal trading system for HFT industry." IEEE Transactions on Industrial Informatics 11.2 (2015): 467-475.[(link)](http://ieeexplore.ieee.org/xpls/abs_all.jsp?arnumber=7042734)

* Ahuja, Saran, et al. "Limit order trading with a mean reverting reference price." arXiv preprint arXiv:1607.00454 (2016). [(link)](https://arxiv.org/abs/1607.00454)

* Aït-Sahalia, Yacine, and Jean Jacod. "Analyzing the spectrum of asset returns: Jump and volatility components in high frequency data." Journal of Economic Literature 50.4 (2012): 1007-1050. [(link)](http://www.ingentaconnect.com/content/aea/jel/2012/00000050/00000004/art00002)

## Portfolio Management

* B. Li and S. C. H. Hoi, “Online portfolio selection,” ACM Comput. Surv., vol. 46, no. 3, pp. 1–36, 2014. [(link)](http://dl.acm.org/citation.cfm?id=2512962)

* Heaton, J. B., Polson, N. G., & Witte, J. H. (2016). Deep Portfolio Theory. [(link)](http://arxiv.org/abs/1605.07230)


